> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/models/{model_id}
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/models/{model_id}:
    get:
      summary: Get Model
      operationId: get_model_v1_models__model_id__get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDetail'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        organization:
          $ref: '#/components/schemas/OrganizationRef'
        family:
          anyOf:
            - $ref: '#/components/schemas/FamilyRef'
            - type: 'null'
        license:
          $ref: '#/components/schemas/LicenseRef'
        open_weight:
          type: boolean
          title: Open Weight
        model_type:
          type: string
          title: Model Type
        modalities:
          items:
            type: string
          type: array
          title: Modalities
        context_window:
          anyOf:
            - type: integer
            - type: 'null'
          title: Context Window
        param_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Param Count
        release_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Release Date
        providers:
          items:
            $ref: '#/components/schemas/ProviderPricing'
          type: array
          title: Providers
        top_scores:
          additionalProperties:
            type: number
          type: object
          title: Top Scores
        inference:
          $ref: '#/components/schemas/ModelInference'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        source:
          type: string
          title: Source
        url:
          type: string
          title: Url
        scores:
          items:
            $ref: '#/components/schemas/BenchmarkScore'
          type: array
          title: Scores
        sources:
          $ref: '#/components/schemas/ModelSources'
      type: object
      required:
        - id
        - name
        - description
        - organization
        - license
        - open_weight
        - model_type
        - modalities
        - providers
        - top_scores
        - inference
        - created_at
        - updated_at
        - source
        - url
        - scores
        - sources
      title: ModelDetail
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrganizationRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: OrganizationRef
    FamilyRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: FamilyRef
    LicenseRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        allow_commercial:
          type: boolean
          title: Allow Commercial
      type: object
      required:
        - id
        - name
        - allow_commercial
      title: LicenseRef
    ProviderPricing:
      properties:
        provider_id:
          type: string
          title: Provider Id
        provider_name:
          type: string
          title: Provider Name
        input_price_per_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Input Price Per M
        output_price_per_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Output Price Per M
        status:
          type: string
          title: Status
      type: object
      required:
        - provider_id
        - provider_name
        - status
      title: ProviderPricing
    ModelInference:
      properties:
        available:
          type: boolean
          title: Available
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
        gateway_model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Model Id
        openai_compatible:
          type: boolean
          title: Openai Compatible
          default: false
        supports_streaming:
          type: boolean
          title: Supports Streaming
          default: false
        supports_tools:
          type: boolean
          title: Supports Tools
          default: false
        supports_vision:
          type: boolean
          title: Supports Vision
          default: false
        docs_url:
          type: string
          title: Docs Url
          default: https://docs.llm-stats.com/gateway/chat-completions
      type: object
      required:
        - available
      title: ModelInference
      description: |-
        Discovery metadata for invoking a model via the LLM Stats gateway.

        Always present on model responses. When `available` is False, optional
        fields are omitted and consumers should not attempt gateway calls.
    BenchmarkScore:
      properties:
        benchmark_id:
          type: string
          title: Benchmark Id
        benchmark_name:
          type: string
          title: Benchmark Name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        score:
          type: number
          title: Score
        normalized_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Normalized Score
        max_score:
          type: number
          title: Max Score
        is_self_reported:
          type: boolean
          title: Is Self Reported
        verified_by_llmstats:
          type: boolean
          title: Verified By Llmstats
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        scored_at:
          type: string
          format: date-time
          title: Scored At
      type: object
      required:
        - benchmark_id
        - benchmark_name
        - score
        - max_score
        - is_self_reported
        - verified_by_llmstats
        - scored_at
      title: BenchmarkScore
    ModelSources:
      properties:
        api_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Ref
        paper:
          anyOf:
            - type: string
            - type: 'null'
          title: Paper
        weights:
          anyOf:
            - type: string
            - type: 'null'
          title: Weights
        repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo
      type: object
      title: ModelSources
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````